Рефсейлс API
Клиенты

Получить клиента

GET
/api/v1/customers/{id}

Один клиент по ID Рефсейлс. Право: customers:read.

Авторизация

bearerApiKey
headerАвторизацияBearer <rsk_live_…>

Ключ API в заголовке Authorization: Bearer rsk_live_…. Ключ создаёт владелец магазина: Настройки → Интеграции → API и вебхуки.

id*string

ID клиента в Рефсейлс.

Ответ

Клиент.

application/json
  1. response
data*
Example Request
curl -X GET 'https://refsales.ru/api/v1/customers/string'
Example Response
{  "data": {    "id": "2c8e4a1f-9b3d-4f7e-a6c0-5d1b8e3f2a96",    "name": "Иван Петров",    "email": "customer@example.com",    "phone": "+7 (900) 000-00-00",    "phoneDigits": "79000000000",    "telegramId": "123456789",    "source": "order",    "notes": "Предпочитает доставку после 18:00",    "birthday": {      "day": 12,      "month": 3,      "year": null    },    "totalOrders": 4,    "totalRevenue": 1164000,    "firstSeenAt": "2026-03-02T10:21:00.418265+00:00",    "lastOrderAt": "2026-09-12T09:41:07.418265+00:00",    "createdAt": "2026-03-02T10:21:00.418265+00:00",    "updatedAt": "2026-09-12T09:41:07.418265+00:00"  }}